{
    name: "flm",
    effectType: "Status",
    onStart(target, source, sourceEffect) {
      if (sourceEffect && sourceEffect.id === "flameorb") {
        this.add("-status", target, "flm", "[from] item: Flame Orb");
      } else if (sourceEffect && sourceEffect.effectType === "Ability") {
        this.add("-status", target, "flm", "[from] ability: " + sourceEffect.name, "[of] " + source);
      } else {
        this.add("-status", target, "flm");
      }
    },
    onResidualOrder: 10,
    onResidual(pokemon) {
      this.damage(pokemon.baseMaxhp / 8);
    }
  }
    